Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine
Interface TypeOrFeature

All Superinterfaces:
  Cloneable, Comparable, MetaDataObject, Serializable, XMLizable

    public interface TypeOrFeature

extends MetaDataObject, Comparable

A reference to a Type or Feature in the Analysis Engine's TypeSystem. This interface is used by `Capability` to declare which Types and Features the Analysis Engine inputs and outputs, and it is also used by `ResultSpecification` to declare the outputs that are desired by the application.

Method Summary
`String` | `getName()` Gets the fully-qualified Type or Feature name.
`boolean` | `isAllAnnotatorFeatures()` For Type references, this method determines whether this reference should be considered to also refer to all features of the Type that are known to the annotator.
`boolean` | `isType()` Gets whether this object refers to a Type or to a Feature.
`void` | `setAllAnnotatorFeatures(boolean aAllAnnotatorFeatures)` For Type references, sets whether this reference should be considered to also refer to all features of the Type that are known to the annotator.
`void` | `setName(String aName)` Sets the fully-qualified Type or Feature name.
`void` | `setType(boolean aType)` Sets whether this object refers to a Type or to a Feature.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### isType

    boolean isType()

  Gets whether this object refers to a Type or to a Feature.

  Returns:
    true if Type, false if Feature

### setType

    void setType(boolean aType)

  Sets whether this object refers to a Type or to a Feature.

  Parameters:
    `aType` - true if Type, false if Feature

### getName

    String getName()

  Gets the fully-qualified Type or Feature name.

  Returns:
    the fully-qualified name

### setName

    void setName(String aName)

  Sets the fully-qualified Type or Feature name.

  Parameters:
    `aName` - the fully-qualified name

### isAllAnnotatorFeatures

    boolean isAllAnnotatorFeatures()

  For Type references, this method determines whether this reference should be considered to also refer to all features of the Type that are known to the annotator. This field is not used for Feature references.

  Returns:
    true if this is a reference to all features, false if it is only a reference to the type

### setAllAnnotatorFeatures

    void setAllAnnotatorFeatures(boolean aAllAnnotatorFeatures)

  For Type references, sets whether this reference should be considered to also refer to all features of the Type that are known to the annotator. This field is not used for Feature references.

  Parameters:
    `aAllAnnotatorFeatures` - true if this is a reference to all features, false if it is only a reference to the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.